diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/mesh/model/dot11s/hwmp-protocol.cc ns-3.38/src/mesh/model/dot11s/hwmp-protocol.cc
--- ns-3.37/src/mesh/model/dot11s/hwmp-protocol.cc	2022-11-01 17:37:24.671395500 -0700
+++ ns-3.38/src/mesh/model/dot11s/hwmp-protocol.cc	2023-03-16 20:54:23.788869100 -0700
@@ -469,7 +469,7 @@
                                   MicroSeconds(preq.GetLifetime() * 1024),
                                   preq.GetOriginatorSeqNumber());
         // Notify trace source of routing change
-        struct RouteChange rChange;
+        RouteChange rChange;
         rChange.type = "Add Reactive";
         rChange.destination = preq.GetOriginatorAddress();
         rChange.retransmitter = from;
@@ -490,7 +490,7 @@
                                   MicroSeconds(preq.GetLifetime() * 1024),
                                   preq.GetOriginatorSeqNumber());
         // Notify trace source of routing change
-        struct RouteChange rChange;
+        RouteChange rChange;
         rChange.type = "Add Reactive";
         rChange.destination = fromMp;
         rChange.retransmitter = from;
@@ -525,7 +525,7 @@
                                            MicroSeconds(preq.GetLifetime() * 1024),
                                            preq.GetOriginatorSeqNumber());
                 // Notify trace source of routing change
-                struct RouteChange rChange;
+                RouteChange rChange;
                 rChange.type = "Add Proactive";
                 rChange.destination = preq.GetOriginatorAddress();
                 rChange.retransmitter = from;
@@ -658,7 +658,7 @@
                                   MicroSeconds(prep.GetLifetime() * 1024),
                                   sequence);
         // Notify trace source of routing change
-        struct RouteChange rChange;
+        RouteChange rChange;
         rChange.type = "Add Reactive";
         rChange.destination = prep.GetOriginatorAddress();
         rChange.retransmitter = from;
@@ -690,7 +690,7 @@
                                   MicroSeconds(prep.GetLifetime() * 1024),
                                   sequence);
         // Notify trace source of routing change
-        struct RouteChange rChange;
+        RouteChange rChange;
         rChange.type = "Add Reactive";
         rChange.destination = fromMp;
         rChange.retransmitter = from;
@@ -742,7 +742,7 @@
             retval.push_back(destinations[i]);
         }
     }
-    if (retval.size() == 0)
+    if (retval.empty())
     {
         return;
     }
@@ -866,7 +866,7 @@
     PathError retval;
     // HwmpRtable increments a sequence number as written in 11B.9.7.2
     retval.receivers = GetPerrReceivers(destinations);
-    if (retval.receivers.size() == 0)
+    if (retval.receivers.empty())
     {
         return retval;
     }
@@ -876,7 +876,7 @@
         retval.destinations.push_back(destinations[i]);
         m_rtable->DeleteReactivePath(destinations[i].destination);
         // Notify trace source of routing change
-        struct RouteChange rChange;
+        RouteChange rChange;
         rChange.type = "Delete Reactive";
         rChange.destination = destinations[i].destination;
         rChange.seqnum = destinations[i].seqnum;
@@ -938,14 +938,14 @@
         HwmpRtable::PrecursorList precursors = m_rtable->GetPrecursors(failedDest[i].destination);
         m_rtable->DeleteReactivePath(failedDest[i].destination);
         // Notify trace source of routing change
-        struct RouteChange rChange;
+        RouteChange rChange;
         rChange.type = "Delete Reactive";
         rChange.destination = failedDest[i].destination;
         rChange.seqnum = failedDest[i].seqnum;
         m_routeChangeTraceSource(rChange);
         m_rtable->DeleteProactivePath(failedDest[i].destination);
         // Notify trace source of routing change
-        struct RouteChange rChangePro;
+        RouteChange rChangePro;
         rChangePro.type = "Delete Proactive";
         rChangePro.destination = failedDest[i].destination;
         rChangePro.seqnum = failedDest[i].seqnum;
@@ -978,7 +978,7 @@
     {
         retval = m_neighboursCallback(interface);
     }
-    if ((retval.size() >= m_unicastPreqThreshold) || (retval.size() == 0))
+    if (retval.size() >= m_unicastPreqThreshold || retval.empty())
     {
         retval.clear();
         retval.push_back(Mac48Address::GetBroadcast());
@@ -995,7 +995,7 @@
     {
         retval = m_neighboursCallback(interface);
     }
-    if ((retval.size() >= m_unicastDataThreshold) || (retval.size() == 0))
+    if (retval.size() >= m_unicastDataThreshold || retval.empty())
     {
         retval.clear();
         retval.push_back(Mac48Address::GetBroadcast());
@@ -1039,7 +1039,7 @@
     NS_LOG_FUNCTION(this);
     QueuedPacket retval;
     retval.pkt = nullptr;
-    if (m_rqueue.size() != 0)
+    if (!m_rqueue.empty())
     {
         retval = m_rqueue[0];
         m_rqueue.erase(m_rqueue.begin());
@@ -1214,13 +1214,13 @@
 }
 
 bool
-HwmpProtocol::GetDoFlag()
+HwmpProtocol::GetDoFlag() const
 {
     return m_doFlag;
 }
 
 bool
-HwmpProtocol::GetRfFlag()
+HwmpProtocol::GetRfFlag() const
 {
     return m_rfFlag;
 }
@@ -1238,7 +1238,7 @@
 }
 
 uint8_t
-HwmpProtocol::GetMaxTtl()
+HwmpProtocol::GetMaxTtl() const
 {
     return m_maxTtl;
 }
@@ -1264,7 +1264,7 @@
 }
 
 uint8_t
-HwmpProtocol::GetUnicastPerrThreshold()
+HwmpProtocol::GetUnicastPerrThreshold() const
 {
     return m_unicastPerrThreshold;
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/mesh/model/dot11s/hwmp-protocol.h ns-3.38/src/mesh/model/dot11s/hwmp-protocol.h
--- ns-3.37/src/mesh/model/dot11s/hwmp-protocol.h	2022-11-01 17:37:24.671395500 -0700
+++ ns-3.38/src/mesh/model/dot11s/hwmp-protocol.h	2023-03-16 20:54:23.788869100 -0700
@@ -420,12 +420,12 @@
      * Get do flag function
      * \returns DO flag
      */
-    bool GetDoFlag();
+    bool GetDoFlag() const;
     /**
      * Get rf flag function
      * \returns the RF flag
      */
-    bool GetRfFlag();
+    bool GetRfFlag() const;
     /**
      * Get PREQ minimum interval function
      * \returns the PREQ
@@ -440,7 +440,7 @@
      * Get maximum TTL function
      * \returns the maximum TTL
      */
-    uint8_t GetMaxTtl();
+    uint8_t GetMaxTtl() const;
     /**
      * Get next period function
      * \returns the next period
@@ -460,7 +460,7 @@
      * Get unicast PERR threshold function
      * \returns the unicast PERR threshold
      */
-    uint8_t GetUnicastPerrThreshold();
+    uint8_t GetUnicastPerrThreshold() const;
     ///@}
 
   private:
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/mesh/model/dot11s/hwmp-protocol-mac.cc ns-3.38/src/mesh/model/dot11s/hwmp-protocol-mac.cc
--- ns-3.37/src/mesh/model/dot11s/hwmp-protocol-mac.cc	2022-11-01 17:37:24.671395500 -0700
+++ ns-3.38/src/mesh/model/dot11s/hwmp-protocol-mac.cc	2023-03-16 20:54:23.788869100 -0700
@@ -178,7 +178,7 @@
             }
         }
     }
-    if (failedDestinations.size() > 0)
+    if (!failedDestinations.empty())
     {
         m_protocol->ReceivePerr(failedDestinations,
                                 header.GetAddr2(),
@@ -327,7 +327,7 @@
     {
         return;
     }
-    if (m_myPreq.size() == 0)
+    if (m_myPreq.empty())
     {
         return;
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/mesh/model/dot11s/hwmp-tag.cc ns-3.38/src/mesh/model/dot11s/hwmp-tag.cc
--- ns-3.37/src/mesh/model/dot11s/hwmp-tag.cc	2022-11-01 17:37:24.671395500 -0700
+++ ns-3.38/src/mesh/model/dot11s/hwmp-tag.cc	2023-03-16 20:54:23.788869100 -0700
@@ -58,7 +58,7 @@
 }
 
 uint8_t
-HwmpTag::GetTtl()
+HwmpTag::GetTtl() const
 {
     return m_ttl;
 }
@@ -70,7 +70,7 @@
 }
 
 uint32_t
-HwmpTag::GetMetric()
+HwmpTag::GetMetric() const
 {
     return m_metric;
 }
@@ -82,7 +82,7 @@
 }
 
 uint32_t
-HwmpTag::GetSeqno()
+HwmpTag::GetSeqno() const
 {
     return m_seqno;
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/mesh/model/dot11s/hwmp-tag.h ns-3.38/src/mesh/model/dot11s/hwmp-tag.h
--- ns-3.37/src/mesh/model/dot11s/hwmp-tag.h	2022-11-01 17:37:24.671395500 -0700
+++ ns-3.38/src/mesh/model/dot11s/hwmp-tag.h	2023-03-16 20:54:23.788869100 -0700
@@ -71,7 +71,7 @@
      * Get the TTL value
      * \returns the TTL
      */
-    uint8_t GetTtl();
+    uint8_t GetTtl() const;
     /**
      * Set the metric value
      * \param metric the metric
@@ -81,7 +81,7 @@
      * Get the metric value
      * \returns the metric
      */
-    uint32_t GetMetric();
+    uint32_t GetMetric() const;
     /**
      * Set sequence number
      * \param seqno the sequence number
@@ -91,7 +91,7 @@
      * Get the sequence number
      * \returns the sequence number
      */
-    uint32_t GetSeqno();
+    uint32_t GetSeqno() const;
     /// Decrement TTL
     void DecrementTtl();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/mesh/model/dot11s/ie-dot11s-configuration.cc ns-3.38/src/mesh/model/dot11s/ie-dot11s-configuration.cc
--- ns-3.37/src/mesh/model/dot11s/ie-dot11s-configuration.cc	2022-11-01 17:37:24.671395500 -0700
+++ ns-3.38/src/mesh/model/dot11s/ie-dot11s-configuration.cc	2023-03-16 20:54:23.788869100 -0700
@@ -161,13 +161,13 @@
 {
     Buffer::Iterator start = i;
     // Active Path Selection Protocol ID:
-    m_APSPId = (dot11sPathSelectionProtocol)i.ReadU8();
+    m_APSPId = (Dot11sPathSelectionProtocol)i.ReadU8();
     // Active Path Metric ID:
-    m_APSMId = (dot11sPathSelectionMetric)i.ReadU8();
+    m_APSMId = (Dot11sPathSelectionMetric)i.ReadU8();
     // Congestion Control Mode ID:
-    m_CCMId = (dot11sCongestionControlMode)i.ReadU8();
-    m_SPId = (dot11sSynchronizationProtocolIdentifier)i.ReadU8();
-    m_APId = (dot11sAuthenticationProtocol)i.ReadU8();
+    m_CCMId = (Dot11sCongestionControlMode)i.ReadU8();
+    m_SPId = (Dot11sSynchronizationProtocolIdentifier)i.ReadU8();
+    m_APId = (Dot11sAuthenticationProtocol)i.ReadU8();
     m_neighbors = (i.ReadU8() >> 1) & 0xF;
     i = m_meshCap.Deserialize(i);
     return i.GetDistanceFrom(start);
@@ -187,13 +187,13 @@
 }
 
 void
-IeConfiguration::SetRouting(dot11sPathSelectionProtocol routingId)
+IeConfiguration::SetRouting(Dot11sPathSelectionProtocol routingId)
 {
     m_APSPId = routingId;
 }
 
 void
-IeConfiguration::SetMetric(dot11sPathSelectionMetric metricId)
+IeConfiguration::SetMetric(Dot11sPathSelectionMetric metricId)
 {
     m_APSMId = metricId;
 }
@@ -217,7 +217,7 @@
 }
 
 uint8_t
-IeConfiguration::GetNeighborCount()
+IeConfiguration::GetNeighborCount() const
 {
     return m_neighbors;
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/mesh/model/dot11s/ie-dot11s-configuration.h ns-3.38/src/mesh/model/dot11s/ie-dot11s-configuration.h
--- ns-3.37/src/mesh/model/dot11s/ie-dot11s-configuration.h	2022-11-01 17:37:24.671395500 -0700
+++ ns-3.38/src/mesh/model/dot11s/ie-dot11s-configuration.h	2023-03-16 20:54:23.788869100 -0700
@@ -31,33 +31,33 @@
 // according to IEEE 802.11 - 2012
 
 // in 7.3.2.98.2 Active Path Selection Protocol Identifier - 802.11s-2011
-enum dot11sPathSelectionProtocol
+enum Dot11sPathSelectionProtocol
 {
     PROTOCOL_HWMP = 0x01,
 };
 
 // in 7.3.2.98.3 Active Path Selection Metric Identifier - 802.11s-2011
-enum dot11sPathSelectionMetric
+enum Dot11sPathSelectionMetric
 {
     METRIC_AIRTIME = 0x01,
 };
 
 // in 7.3.2.98.4 Congestion Control Mode Identifier - 802.11s-2011
-enum dot11sCongestionControlMode
+enum Dot11sCongestionControlMode
 {
     CONGESTION_SIGNALING = 0x01,
     CONGESTION_NULL = 0x00,
 };
 
 // in 7.3.2.98.5 Synchronization Method Identifier - 802.11s-2011
-enum dot11sSynchronizationProtocolIdentifier
+enum Dot11sSynchronizationProtocolIdentifier
 {
     SYNC_NEIGHBOUR_OFFSET = 0x01, // Neighbor offset synchronization method
     SYNC_NULL = 0x00,             // Reserved
 };
 
 // in 7.3.2.98.6 Authentication Protocol Identifier - 802.11s-2011
-enum dot11sAuthenticationProtocol
+enum Dot11sAuthenticationProtocol
 {
     AUTH_NULL =
         0x00, // No authentication method is required to establish mesh peerings within the MBSS
@@ -134,12 +134,12 @@
      * Set routing value
      * \param routingId the routing ID
      */
-    void SetRouting(dot11sPathSelectionProtocol routingId);
+    void SetRouting(Dot11sPathSelectionProtocol routingId);
     /**
      * Set metric value
      * \param metricId the path selection metric
      */
-    void SetMetric(dot11sPathSelectionMetric metricId);
+    void SetMetric(Dot11sPathSelectionMetric metricId);
     /**
      * Is HWMP function
      * \returns true if Active Path Selection Protocol Identifier field set
@@ -161,7 +161,7 @@
      * Get neighbor count
      * \returns the the neighbor count
      */
-    uint8_t GetNeighborCount();
+    uint8_t GetNeighborCount() const;
     /**
      * Mesh capability
      * \returns the dot11s mesh capability
@@ -177,15 +177,15 @@
 
   private:
     /** Active Path Selection Protocol ID */
-    dot11sPathSelectionProtocol m_APSPId;
+    Dot11sPathSelectionProtocol m_APSPId;
     /** Active Path Metric ID */
-    dot11sPathSelectionMetric m_APSMId;
+    Dot11sPathSelectionMetric m_APSMId;
     /** Congestion Control Mode ID */
-    dot11sCongestionControlMode m_CCMId;
+    Dot11sCongestionControlMode m_CCMId;
     /** Sync protocol ID */
-    dot11sSynchronizationProtocolIdentifier m_SPId;
+    Dot11sSynchronizationProtocolIdentifier m_SPId;
     /** Auth protocol ID */
-    dot11sAuthenticationProtocol m_APId;
+    Dot11sAuthenticationProtocol m_APId;
     /** Mesh capability */
     Dot11sMeshCapability m_meshCap;
     uint8_t m_neighbors; ///< neighbors
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/mesh/model/dot11s/ie-dot11s-metric-report.cc ns-3.38/src/mesh/model/dot11s/ie-dot11s-metric-report.cc
--- ns-3.37/src/mesh/model/dot11s/ie-dot11s-metric-report.cc	2022-11-01 17:37:24.671395500 -0700
+++ ns-3.38/src/mesh/model/dot11s/ie-dot11s-metric-report.cc	2023-03-16 20:54:23.788869100 -0700
@@ -48,7 +48,7 @@
 }
 
 uint32_t
-IeLinkMetricReport::GetMetric()
+IeLinkMetricReport::GetMetric() const
 {
     return m_metric;
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/mesh/model/dot11s/ie-dot11s-metric-report.h ns-3.38/src/mesh/model/dot11s/ie-dot11s-metric-report.h
--- ns-3.37/src/mesh/model/dot11s/ie-dot11s-metric-report.h	2022-11-01 17:37:24.671395500 -0700
+++ ns-3.38/src/mesh/model/dot11s/ie-dot11s-metric-report.h	2023-03-16 20:54:23.788869100 -0700
@@ -52,7 +52,7 @@
      * Get metric value
      * \returns the metric
      */
-    uint32_t GetMetric();
+    uint32_t GetMetric() const;
 
     // Inherited from WifiInformationElement
     WifiInformationElementId ElementId() const override;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/mesh/model/dot11s/ie-dot11s-preq.cc ns-3.38/src/mesh/model/dot11s/ie-dot11s-preq.cc
--- ns-3.37/src/mesh/model/dot11s/ie-dot11s-preq.cc	2022-11-01 17:37:24.671395500 -0700
+++ ns-3.38/src/mesh/model/dot11s/ie-dot11s-preq.cc	2023-03-16 20:54:23.788869100 -0700
@@ -64,19 +64,19 @@
 }
 
 bool
-DestinationAddressUnit::IsDo()
+DestinationAddressUnit::IsDo() const
 {
     return m_do;
 }
 
 bool
-DestinationAddressUnit::IsRf()
+DestinationAddressUnit::IsRf() const
 {
     return m_rf;
 }
 
 bool
-DestinationAddressUnit::IsUsn()
+DestinationAddressUnit::IsUsn() const
 {
     return m_usn;
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/mesh/model/dot11s/ie-dot11s-preq.h ns-3.38/src/mesh/model/dot11s/ie-dot11s-preq.h
--- ns-3.37/src/mesh/model/dot11s/ie-dot11s-preq.h	2022-11-01 17:37:24.671395500 -0700
+++ ns-3.38/src/mesh/model/dot11s/ie-dot11s-preq.h	2023-03-16 20:54:23.788869100 -0700
@@ -59,17 +59,17 @@
      * Is do function
      * \returns true if DO flag is set
      */
-    bool IsDo();
+    bool IsDo() const;
     /**
      * is RF function
      * \returns true if RF flag is set
      */
-    bool IsRf();
+    bool IsRf() const;
     /**
      * Is USN function
      * \returns true if USN flag set
      */
-    bool IsUsn();
+    bool IsUsn() const;
     /**
      * Get destination address function
      * \returns the MAC address
@@ -214,7 +214,7 @@
      */
     Mac48Address GetOriginatorAddress() const;
     /**
-     * Get originator sequence numnber value
+     * Get originator sequence number value
      * \returns the originator sequence number
      */
     uint32_t GetOriginatorSeqNumber() const;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/mesh/model/dot11s/ie-dot11s-rann.cc ns-3.38/src/mesh/model/dot11s/ie-dot11s-rann.cc
--- ns-3.37/src/mesh/model/dot11s/ie-dot11s-rann.cc	2022-11-01 17:37:24.671395500 -0700
+++ ns-3.38/src/mesh/model/dot11s/ie-dot11s-rann.cc	2023-03-16 20:54:23.788869100 -0700
@@ -85,31 +85,31 @@
 }
 
 uint8_t
-IeRann::GetFlags()
+IeRann::GetFlags() const
 {
     return m_flags;
 }
 
 uint8_t
-IeRann::GetHopcount()
+IeRann::GetHopcount() const
 {
     return m_hopcount;
 }
 
 uint8_t
-IeRann::GetTtl()
+IeRann::GetTtl() const
 {
     return m_ttl;
 }
 
 uint32_t
-IeRann::GetDestSeqNumber()
+IeRann::GetDestSeqNumber() const
 {
     return m_destSeqNumber;
 }
 
 uint32_t
-IeRann::GetMetric()
+IeRann::GetMetric() const
 {
     return m_metric;
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/mesh/model/dot11s/ie-dot11s-rann.h ns-3.38/src/mesh/model/dot11s/ie-dot11s-rann.h
--- ns-3.37/src/mesh/model/dot11s/ie-dot11s-rann.h	2022-11-01 17:37:24.671395500 -0700
+++ ns-3.38/src/mesh/model/dot11s/ie-dot11s-rann.h	2023-03-16 20:54:23.788869100 -0700
@@ -72,17 +72,17 @@
      * Get flags value
      * \returns the flags
      */
-    uint8_t GetFlags();
+    uint8_t GetFlags() const;
     /**
      * Get hop count value
      * \returns the hop count
      */
-    uint8_t GetHopcount();
+    uint8_t GetHopcount() const;
     /**
      * Get TTL value
      * \returns the TTL
      */
-    uint8_t GetTtl();
+    uint8_t GetTtl() const;
     /**
      * Get originator address value
      * \returns the MAC address of the originator
@@ -92,12 +92,12 @@
      * Get destination sequence number value
      * \returns the destination sequence number
      */
-    uint32_t GetDestSeqNumber();
+    uint32_t GetDestSeqNumber() const;
     /**
      * Get metric value
      * \returns the metric
      */
-    uint32_t GetMetric();
+    uint32_t GetMetric() const;
     /// Decrement TTL function
     void DecrementTtl();
     /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/mesh/model/dot11s/peer-management-protocol.cc ns-3.38/src/mesh/model/dot11s/peer-management-protocol.cc
--- ns-3.37/src/mesh/model/dot11s/peer-management-protocol.cc	2022-11-01 17:37:24.671395500 -0700
+++ ns-3.38/src/mesh/model/dot11s/peer-management-protocol.cc	2023-03-16 20:54:23.788869100 -0700
@@ -401,7 +401,7 @@
 }
 
 bool
-PeerManagementProtocol::ShouldSendOpen(uint32_t interface, Mac48Address peerAddress)
+PeerManagementProtocol::ShouldSendOpen(uint32_t interface, Mac48Address peerAddress) const
 {
     return (m_stats.linksTotal < m_maxNumberOfPeerLinks);
 }
@@ -409,7 +409,7 @@
 bool
 PeerManagementProtocol::ShouldAcceptOpen(uint32_t interface,
                                          Mac48Address peerAddress,
-                                         PmpReasonCode& reasonCode)
+                                         PmpReasonCode& reasonCode) const
 {
     if (m_stats.linksTotal >= m_maxNumberOfPeerLinks)
     {
@@ -443,7 +443,7 @@
     NS_ASSERT_MSG(TuToTime(m_maxBeaconShift) <= m_beaconInterval[interface],
                   "Wrong beacon shift parameters");
 
-    if (iface->second.size() == 0)
+    if (iface->second.empty())
     {
         // I have no peers - may be our beacons are in collision
         ShiftOwnBeacon(interface);
@@ -574,7 +574,7 @@
 }
 
 uint8_t
-PeerManagementProtocol::GetNumberOfLinks()
+PeerManagementProtocol::GetNumberOfLinks() const
 {
     return m_stats.linksTotal;
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/mesh/model/dot11s/peer-management-protocol.h ns-3.38/src/mesh/model/dot11s/peer-management-protocol.h
--- ns-3.37/src/mesh/model/dot11s/peer-management-protocol.h	2022-11-01 17:37:24.671395500 -0700
+++ ns-3.38/src/mesh/model/dot11s/peer-management-protocol.h	2023-03-16 20:54:23.788869100 -0700
@@ -189,7 +189,7 @@
      * Get number of links
      * \returns the number of links
      */
-    uint8_t GetNumberOfLinks();
+    uint8_t GetNumberOfLinks() const;
     /**
      * Set mesh ID to a string value
      * \param s the mesh ID string value
@@ -285,7 +285,7 @@
      * \param peerAddress the peer address
      * \returns true is should send an open
      */
-    bool ShouldSendOpen(uint32_t interface, Mac48Address peerAddress);
+    bool ShouldSendOpen(uint32_t interface, Mac48Address peerAddress) const;
     /**
      * \brief External peer-chooser
      * \param interface the interface to use
@@ -293,7 +293,9 @@
      * \param reasonCode reason code
      * \returns true is should send an open
      */
-    bool ShouldAcceptOpen(uint32_t interface, Mac48Address peerAddress, PmpReasonCode& reasonCode);
+    bool ShouldAcceptOpen(uint32_t interface,
+                          Mac48Address peerAddress,
+                          PmpReasonCode& reasonCode) const;
     /**
      * \brief Indicates changes in peer links
      * \param interface the interface
@@ -409,7 +411,8 @@
          */
         void Print(std::ostream& os) const;
     };
-    struct Statistics m_stats; ///< statistics
+
+    Statistics m_stats; ///< statistics
 
     /// Add randomness to beacon shift
     Ptr<UniformRandomVariable> m_beaconShift;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/mesh/model/dot11s/peer-management-protocol-mac.h ns-3.38/src/mesh/model/dot11s/peer-management-protocol-mac.h
--- ns-3.37/src/mesh/model/dot11s/peer-management-protocol-mac.h	2022-11-01 17:37:24.671395500 -0700
+++ ns-3.38/src/mesh/model/dot11s/peer-management-protocol-mac.h	2023-03-16 20:54:23.788869100 -0700
@@ -233,7 +233,7 @@
     };
 
   private:
-    struct Statistics m_stats; ///< statistics
+    Statistics m_stats; ///< statistics
     ///\name Information about MAC and protocol:
     Ptr<MeshWifiInterfaceMac> m_parent;     ///< parent
     uint32_t m_ifIndex;                     ///< IF index
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/mesh/model/mesh-wifi-interface-mac.cc ns-3.38/src/mesh/model/mesh-wifi-interface-mac.cc
--- ns-3.37/src/mesh/model/mesh-wifi-interface-mac.cc	2022-11-01 17:37:24.675395700 -0700
+++ ns-3.38/src/mesh/model/mesh-wifi-interface-mac.cc	2023-03-16 20:54:23.788869100 -0700
@@ -594,7 +594,7 @@
 }
 
 void
-MeshWifiInterfaceMac::ConfigureStandard(enum WifiStandard standard)
+MeshWifiInterfaceMac::ConfigureStandard(WifiStandard standard)
 {
     NS_ABORT_IF(!GetQosSupported());
     WifiMac::ConfigureStandard(standard);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/mesh/model/mesh-wifi-interface-mac.h ns-3.38/src/mesh/model/mesh-wifi-interface-mac.h
--- ns-3.37/src/mesh/model/mesh-wifi-interface-mac.h	2022-11-01 17:37:24.675395700 -0700
+++ ns-3.38/src/mesh/model/mesh-wifi-interface-mac.h	2023-03-16 20:54:23.788869100 -0700
@@ -208,7 +208,7 @@
      *
      * \param standard the WifiStandard being configured
      */
-    void ConfigureStandard(enum WifiStandard standard) override;
+    void ConfigureStandard(WifiStandard standard) override;
     /**
      * \param cwMin the minimum contention window size
      * \param cwMax the maximum contention window size
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/mesh/test/dot11s/dot11s-test-suite.cc ns-3.38/src/mesh/test/dot11s/dot11s-test-suite.cc
--- ns-3.37/src/mesh/test/dot11s/dot11s-test-suite.cc	2022-11-01 17:37:24.675395700 -0700
+++ ns-3.38/src/mesh/test/dot11s/dot11s-test-suite.cc	2023-03-16 20:54:23.788869100 -0700
@@ -35,7 +35,6 @@
 
 /**
  * \ingroup dot11s-test
- * \ingroup tests
  *
  * \brief Built-in self test for MeshHeader
  */
@@ -95,7 +94,6 @@
 
 /**
  * \ingroup mesh-test
- * \ingroup tests
  *
  * \brief Unit test for HwmpRtable
  */
@@ -278,7 +276,6 @@
 
 /**
  * \ingroup mesh-test
- * \ingroup tests
  *
  * \brief Dot11s Test Suite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/mesh/test/dot11s/hwmp-proactive-regression.h ns-3.38/src/mesh/test/dot11s/hwmp-proactive-regression.h
--- ns-3.37/src/mesh/test/dot11s/hwmp-proactive-regression.h	2022-11-01 17:37:24.675395700 -0700
+++ ns-3.38/src/mesh/test/dot11s/hwmp-proactive-regression.h	2023-03-16 20:54:23.788869100 -0700
@@ -27,7 +27,6 @@
 
 /**
  * \ingroup dot11s-test
- * \ingroup tests
  *
  * \brief There are 5 stations set into a row, the center station is root.
  * Regression test indicates that traffic goes from the first to the
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/mesh/test/dot11s/hwmp-reactive-regression.h ns-3.38/src/mesh/test/dot11s/hwmp-reactive-regression.h
--- ns-3.37/src/mesh/test/dot11s/hwmp-reactive-regression.h	2022-11-01 17:37:24.675395700 -0700
+++ ns-3.38/src/mesh/test/dot11s/hwmp-reactive-regression.h	2023-03-16 20:54:23.788869100 -0700
@@ -26,7 +26,6 @@
 
 /**
  * \ingroup dot11s-test
- * \ingroup tests
  *
  * \brief test for multihop path establishing and path error
  * procedures
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/mesh/test/dot11s/hwmp-simplest-regression.h ns-3.38/src/mesh/test/dot11s/hwmp-simplest-regression.h
--- ns-3.37/src/mesh/test/dot11s/hwmp-simplest-regression.h	2022-11-01 17:37:24.675395700 -0700
+++ ns-3.38/src/mesh/test/dot11s/hwmp-simplest-regression.h	2023-03-16 20:54:23.792869000 -0700
@@ -27,7 +27,6 @@
 
 /**
  * \ingroup dot11s-test
- * \ingroup tests
  *
  * \brief Peering Management & HWM Protocol regression test
  * Initiate scenario with 2 stations. Procedure of opening peer link
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/mesh/test/dot11s/hwmp-target-flags-regression.h ns-3.38/src/mesh/test/dot11s/hwmp-target-flags-regression.h
--- ns-3.37/src/mesh/test/dot11s/hwmp-target-flags-regression.h	2022-11-01 17:37:24.675395700 -0700
+++ ns-3.38/src/mesh/test/dot11s/hwmp-target-flags-regression.h	2023-03-16 20:54:23.792869000 -0700
@@ -27,7 +27,6 @@
 
 /**
  * \ingroup dot11s-test
- * \ingroup tests
  *
  * \brief This is a test for intermediate reply and saving routing
  * information about neighbour. 4 stations and 3 UDP ping streams are initiated.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/mesh/test/dot11s/pmp-regression.h ns-3.38/src/mesh/test/dot11s/pmp-regression.h
--- ns-3.37/src/mesh/test/dot11s/pmp-regression.h	2022-11-01 17:37:24.675395700 -0700
+++ ns-3.38/src/mesh/test/dot11s/pmp-regression.h	2023-03-16 20:54:23.792869000 -0700
@@ -27,7 +27,6 @@
 
 /**
  * \ingroup dot11s-test
- * \ingroup tests
  *
  * \brief Peering Management Protocol regression test
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/mesh/test/dot11s/regression.cc ns-3.38/src/mesh/test/dot11s/regression.cc
--- ns-3.37/src/mesh/test/dot11s/regression.cc	2022-11-01 17:37:24.675395700 -0700
+++ ns-3.38/src/mesh/test/dot11s/regression.cc	2023-03-16 20:54:23.792869000 -0700
@@ -29,7 +29,6 @@
 
 /**
  * \ingroup dot11s-test
- * \ingroup tests
  *
  * \brief Dot11s Regression Suite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/mesh/test/flame/flame-regression.h ns-3.38/src/mesh/test/flame/flame-regression.h
--- ns-3.37/src/mesh/test/flame/flame-regression.h	2022-11-01 17:37:24.675395700 -0700
+++ ns-3.38/src/mesh/test/flame/flame-regression.h	2023-03-16 20:54:23.792869000 -0700
@@ -32,7 +32,6 @@
 
 /**
  * \ingroup flame-test
- * \ingroup tests
  *
  * \brief FLAME protocol regression test of three stations:
  * \verbatim
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/mesh/test/flame/flame-test-suite.cc ns-3.38/src/mesh/test/flame/flame-test-suite.cc
--- ns-3.37/src/mesh/test/flame/flame-test-suite.cc	2022-11-01 17:37:24.675395700 -0700
+++ ns-3.38/src/mesh/test/flame/flame-test-suite.cc	2023-03-16 20:54:23.792869000 -0700
@@ -28,7 +28,6 @@
 
 /**
  * \ingroup flame-test
- * \ingroup tests
  *
  * \brief Built-in self test for FlameHeader
  */
@@ -62,7 +61,6 @@
 
 /**
  * \ingroup flame-test
- * \ingroup tests
  *
  * \brief Unit test for FlameRtable
  */
@@ -143,7 +141,6 @@
 
 /**
  * \ingroup flame-test
- * \ingroup tests
  *
  * \brief Flame Test Suite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/mesh/test/flame/regression.cc ns-3.38/src/mesh/test/flame/regression.cc
--- ns-3.37/src/mesh/test/flame/regression.cc	2022-11-01 17:37:24.675395700 -0700
+++ ns-3.38/src/mesh/test/flame/regression.cc	2023-03-16 20:54:23.792869000 -0700
@@ -25,7 +25,6 @@
 
 /**
  * \ingroup flame-test
- * \ingroup tests
  *
  * \brief Flame Regression Suite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/mesh/test/mesh-information-element-vector-test-suite.cc ns-3.38/src/mesh/test/mesh-information-element-vector-test-suite.cc
--- ns-3.37/src/mesh/test/mesh-information-element-vector-test-suite.cc	2022-11-01 17:37:24.675395700 -0700
+++ ns-3.38/src/mesh/test/mesh-information-element-vector-test-suite.cc	2023-03-16 20:54:23.792869000 -0700
@@ -35,12 +35,12 @@
 
 /**
  * \ingroup mesh
+ * \ingroup tests
  * \defgroup mesh-test mesh module tests
  */
 
 /**
  * \ingroup mesh-test
- * \ingroup tests
  *
  * \brief Built-in self test for MeshInformationElementVector and all IE
  */
@@ -152,7 +152,6 @@
 
 /**
  * \ingroup mesh-test
- * \ingroup tests
  *
  * \brief Mesh Test Suite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/mobility/examples/mobility-trace-example.cc ns-3.38/src/mobility/examples/mobility-trace-example.cc
--- ns-3.37/src/mobility/examples/mobility-trace-example.cc	2022-11-01 17:37:24.679395700 -0700
+++ ns-3.38/src/mobility/examples/mobility-trace-example.cc	2023-03-16 20:54:23.792869000 -0700
@@ -64,4 +64,6 @@
     Simulator::Stop(Seconds(5.0));
     Simulator::Run();
     Simulator::Destroy();
+
+    return 0;
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/mobility/helper/group-mobility-helper.h ns-3.38/src/mobility/helper/group-mobility-helper.h
--- ns-3.37/src/mobility/helper/group-mobility-helper.h	2022-11-01 17:37:24.679395700 -0700
+++ ns-3.38/src/mobility/helper/group-mobility-helper.h	2023-03-16 20:54:23.792869000 -0700
@@ -181,7 +181,7 @@
     int64_t AssignStreams(NodeContainer c, int64_t stream);
 
   private:
-    // Enable loggin from template instantiations
+    // Enable logging from template instantiations
     NS_LOG_TEMPLATE_DECLARE; //!< the log component
 
     bool m_referencePositionSet{
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/mobility/helper/mobility-helper.cc ns-3.38/src/mobility/helper/mobility-helper.cc
--- ns-3.37/src/mobility/helper/mobility-helper.cc	2022-11-01 17:37:24.679395700 -0700
+++ ns-3.38/src/mobility/helper/mobility-helper.cc	2023-03-16 20:54:23.792869000 -0700
@@ -133,7 +133,7 @@
 }
 
 void
-MobilityHelper::InstallAll()
+MobilityHelper::InstallAll() const
 {
     Install(NodeContainer::GetGlobal());
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/mobility/helper/mobility-helper.h ns-3.38/src/mobility/helper/mobility-helper.h
--- ns-3.37/src/mobility/helper/mobility-helper.h	2022-11-01 17:37:24.679395700 -0700
+++ ns-3.38/src/mobility/helper/mobility-helper.h	2023-03-16 20:54:23.792869000 -0700
@@ -171,7 +171,7 @@
      * Perform the work of MobilityHelper::Install on _all_ nodes which
      * exist in the simulation.
      */
-    void InstallAll();
+    void InstallAll() const;
 
     /**
      * \param stream an output stream wrapper
